:root {
	--sidebar-active-width: 300px;
}

pre[class*="language-"] {
	margin: 0;
}

#main-window > .sidebar-nav-tabs {
	overflow: auto;
}

.sidebar-nav-tabs > li > .documentation-content {
	padding: 30px;
}

.sidebar-nav-tabs > li > .documentation-content > *:first-child {
	margin-top: 0;
}

.sidebar-nav-tabs > li > .documentation-content > *:last-child {
	margin-bottom: 0;
}

.sidebar-nav-tabs > li > * {
	font-family: "Lucida Sans Unicode", monospace;
}

div.comment {
	border: 1px solid #e2e2e2;
	border-left: 4px solid #8ca8da;
	padding: 1rem;
	background: #ececec;
	border-top-right-radius: 8px;
	border-bottom-right-radius: 8px;
	color: #77838e;
	margin: 1rem 0;
}

div.comment *:first-child {
	margin-top: 0;
}

div.comment *:last-child {
	margin-bottom: 0;
}

*:not(pre) > code:not([class*="language-"]) {
	padding: 5px;
	background: #f5aaaa;
	border-radius: 6px;
	color: #980000;
	
	font-size: 15px;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
	border: 1px solid #ddd;
	margin-bottom: 1rem;
}

table > thead > tr,
table > tbody > tr:nth-child(even) {
	background: #f2f2f2;
}

table thead tr,
table tbody tr:not(:last-child) {
	border-bottom: 1px solid #c7c7c7;
}

table > thead > tr > th {
	text-align: center;
}

table tr > td:not(:last-child),
table tr > th:not(:last-child) {
	border-right: 1px solid #c7c7c7;
}

table th,
table td {
	text-align: left;
	padding: 12px;
}

table .param {
	width: 5%;
}

table .type {
	width: 7%;
	text-align: center;
}

table .required {
	width: 5%;
	text-align: center;
}

section:not(:last-child) {
	border-bottom: 2px solid #b7c0ce;
}

div.code-toolbar,
ol,
ul {
	margin: 1rem 0;
}